Subject: Re: [arch-d] New Version Notification for draft-iab-for-the-users-01.txt

From: Mark Nottingham <[email-masked]>
Date: Mon, 20 Jan 2020 13:13:10 +1100

Hi SM,

Well spotted. 

I've modified the text in my copy:

"Even before the IETF was established, the Internet technical community has focused on user needs since at least {{?RFC0001}}, which stated..."

Cheers and thanks,

> On 15 Dec 2019, at 2:22 am, S Moonesamy <[email-masked]> wrote:
> 
> Hi Mark,
> 
> There is the following in Section 3: "The IETF has focused on user needs since [RFC0001] ..."  That is like stating that the IETF has focused on user needs since 1969.  How could that be possible if the first IETF meeting was held in 1986?
> 
> Regards,
> S. Moonesamy
> 

--
Mark Nottingham   https://www.mnot.net/

---

From: Guntur Wiseno Putra <[email-masked]>
Date: Tue, 21 Jan 2020 07:40:22 +0700

Dear architecture-discuss,

I finded this program concerned with "User": "Design Expectations vs
Deployment Reality" (IAB. June 2019)--one, as I could remember, has not
been mentioned/announced explicitly/exclusively but can be traced with the
issue "Centralizaton or diversity" in this architecture-discuss list: a
concern with "User" was a point of departure as it said about deployment
models have potentials to users and future protocol evolution:

https://www.iab.org/activities/workshops/dedr-workshop/

One of its papers presented was "Great Expectations: Protocol Design and
Socio-economic Realities" (Dirk Kutscher) attempted to touch the real world
conditions, socio-economic initiatives, of the Internet architecture, thus
"Users" of the Internet technology made possible by the architecture.

https://www.iab.org/wp-content/IAB-uploads/2019/05/p14-
kutscher-internet-design-kutscher.pdf

Regard,
Guntur Wiseno Putra

Pada Senin, 20 Januari 2020, Mark Nottingham <[email-masked]> menulis:

> "Even before the IETF was established, the Internet technical community
> has focused on user needs since at least {{?RFC0001}}, which stated..."
>
> Cheers and thanks,
>
>
> > There is the following in Section 3: "The IETF has focused on user needs
> since [RFC0001] ..."  That is like stating that the IETF has focused on
> user needs since 1969.  How could that be possible if the first IETF
> meeting was held in 1986?
> >
> > Regards,
> > S. Moonesamy
> >
>
> --
> _______________________________________________
> Architecture-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/architecture-discuss
>

---

From: S Moonesamy <[email-masked]>
Date: Thu, 23 Jan 2020 03:25:55 -0800

Hi Mark,
At 06:13 PM 19-01-2020, Mark Nottingham wrote:
>"Even before the IETF was established, the Internet technical 
>community has focused on user needs since at least {{?RFC0001}}, 
>which stated..."

Thanks for the feedback.

I took a look at -02.  I would like to clarify my opinion is not 
representative of the views of the users from any region.

There is an ongoing discussion in an IRTF Research Group about the 
third paragraph in Section 1 (re. it has unavoidably become 
profoundly political ...)

Section 3 adds a question mark on RFC 3935.

Section 4.1 uses the terms "broader Internet community" and "greater 
Internet community".  Do those qualifiers change the meaning of 
"Internet community"?  If so, why are they not used in Section 4?

There is the following text in Section 4.1: "Government 
representatives sometimes participate in the IETF community."  When 
are those representatives representative of end-users?

There is the following near the end of Section 4.1: "we should 
remember that the RFC series are Requests For Comments".  I requested 
that my comments on a draft be ignored as an IETF Area Director gave 
me a very original response.  If that were to reflect the Internet 
Engineering Steering Group's position on comments, I doubt that IETF 
Stream could be viewed as conducive for request for comments.

I agree that merely saying that something is harmful (Section 4.3) is 
not a convincing argument.  However, is it reasonable to expect an 
end-user to explain how the technical specification causes, or might 
cause, "harm"?

Regards,
S. Moonesamy

---

From: Mark Nottingham <[email-masked]>
Date: Fri, 24 Jan 2020 16:36:26 +1100

> On 23 Jan 2020, at 10:25 pm, S Moonesamy <[email-masked]> wrote:
> 
> Hi Mark,
> I took a look at -02.  I would like to clarify my opinion is not representative of the views of the users from any region.

Thank you.

> There is an ongoing discussion in an IRTF Research Group about the third paragraph in Section 1 (re. it has unavoidably become profoundly political ...)
> 

I'm not sure what you mean. I don't see a literal question mark near the reference in the published text document.

> Section 4.1 uses the terms "broader Internet community" and "greater Internet community".  Do those qualifiers change the meaning of "Internet community"?  If so, why are they not used in Section 4?

They are contrasting the IETF community with the (broader, greater) Internet community.

> There is the following text in Section 4.1: "Government representatives sometimes participate in the IETF community."  When are those representatives representative of end-users?

I think they're representative of governments. 

> There is the following near the end of Section 4.1: "we should remember that the RFC series are Requests For Comments".  I requested that my comments on a draft be ignored as an IETF Area Director gave me a very original response.  If that were to reflect the Internet Engineering Steering Group's position on comments, I doubt that IETF Stream could be viewed as conducive for request for comments.

I'm not sure there's anything actionable in your statement here, so I'll just move on.

> I agree that merely saying that something is harmful (Section 4.3) is not a convincing argument.  However, is it reasonable to expect an end-user to explain how the technical specification causes, or might cause, "harm"?

As explained elsewhere in the document, we don't rely on end users coming to present their case in person, as it were. 

Cheers and thanks for the feedback,

---

From: Eliot Lear <[email-masked]>
Date: Fri, 24 Jan 2020 10:54:44 +0100

Hi Mark,

> On 24 Jan 2020, at 06:36, Mark Nottingham <[email-masked]> wrote:
> 

None of our processes assume that this is the case, but rather that they are individuals just like anybody else.  Moreover, if governments believe that sending someone to the IETF means that they are representing government positions, those people will be hampered in participating in constructive dialogs.

I would change the terminology a bit to say something like “government experts”, or otherwise add something of an explanatory note to address the above.

Eliot

---

From: Mark Nottingham <[email-masked]>
Date: Fri, 24 Jan 2020 21:30:34 +1100

That’s better - thanks. 

Sent from my iPhone

> On 24 Jan 2020, at 8:54 pm, Eliot Lear <[email-masked]> wrote:
> 
> Hi Mark,
>

---

From: S Moonesamy <[email-masked]>
Date: Fri, 24 Jan 2020 15:58:50 -0800

Hi Mark,
At 09:36 PM 23-01-2020, Mark Nottingham wrote:
>I'm not sure what you mean. I don't see a literal question mark near 
>the reference in the published text document.

Sorry for not being clear.  There isn't a literal question 
mark.  I'll try and explain the point.  There is the following text: 
"We embrace technical concepts such as decentralized control 
..."  The reality is that the "control" has moved in the opposite 
direction, i.e. there is centralization.   The "social good" is being 
challenged because of significant cases of misuse.  The misuse range 
from the impact on the individual to impact at country level.

>They are contrasting the IETF community with the (broader, greater) 

Ok.

>I'm not sure there's anything actionable in your statement here, so 

Ok.

>As explained elsewhere in the document, we don't rely on end users 
>coming to present their case in person, as it were.

On whom does the IAB rely on to present the case?

Is it the governments which represent the users as that is usually 
what governments do?  There is text in the draft which states that it 
is not automatic.  Is it the advocacy groups which participate in the 
Internet Engineering Task Force?  Is it the engineer who participates 
in the Internet Engineering Task Force?

Regards,
S. Moonesamy

---

From: Vittorio Bertola <[email-masked]>
Date: Sat, 25 Jan 2020 11:13:30 +0100 (CET)

> Il 25/01/2020 00:58 S Moonesamy <[email-masked]> ha scritto:
> 

I also do not get the logic of this part of the text. If - as you said - even governmental representatives cannot represent users and advocate their views because everyone in the IETF participates as an individual, then how come that "civil society organisations specialise[d] in technology and Internet policy", or "industry associations, user groups, or a set of individuals", as mentioned in 4.1, should instead be able to do so?

If people really participate in the IETF as individuals, as a minimum only end-users are able to advocate for themselves, and as a maximum there is no such thing as "end-user views", opposed to the views of other stakeholders, because there are no stakeholders and we are all equal human beings (which IMHO is a super-naive view).

Otherwise, if there are conflicting stakeholder needs and the IETF needs to prioritize one stakeholder over others, then participants are not individuals but part and representatives of a stakeholder group, and then we have to enter into the definition and organization of stakeholders and of their representativeness (which is what all other I* organizations have been doing for the last 20 years).

Just pick one - we can't have both at the same time.

-- 
 
Vittorio Bertola | Head of Policy & Innovation, Open-Xchange
[email-masked] 
Office @ Via Treviso 12, 10144 Torino, Italy